package kirjasto;

import java.io.Serial;

/**
 * Poikkeusluokka tietorakenteille aiheutuville poikkeuksille
 * @author Erno Pajala
 * @version 26.02.2025
 */
public class SailoException extends Exception  { // Perii valmiin poikkeusluokan
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * Poikkeusten muodosta jolle tuodaan poikeuksessa
     * käytettävä viesti
     * @param viesti Poikkeuksen viesti
     */
    public SailoException(String viesti) {
        super(viesti);
    }
}
